Browse Source

Installation files

Vadim Surkov 6 years ago
parent
commit
9ce55e6c69

+ 8 - 0
.gitattributes

@@ -0,0 +1,8 @@
+*.exe -delta
+*.run -delta
+*.msi -delta
+*.rpm -delta
+*.deb -delta
+*.zip -delta
+*.tgz -delta
+*.pdf -delta

BIN
Documentation/AdminGuide.pdf


BIN
Documentation/UserGuide.pdf


+ 14 - 0
Scripts/pre_upgrade.sh

@@ -0,0 +1,14 @@
+#!/bin/sh
+
+prepare_sn_upgrade() {
+	UPGRADELOG=/tmp/sn-upgrade.log
+	echo "Prepare SN LSP for upgrade to version $1" > $UPGRADELOG
+	/opt/secretnet/sbin/snunblock 1>>$UPGRADELOG 2>&1
+	# Сохранение конфигурации
+	/opt/secretnet/bin/snbckctl --backup=users,snsettings 1>>$UPGRADELOG 2>&1
+	mkdir -p /opt/secretnet-archive/usr/backup 1>>$UPGRADELOG 2>&1
+	cp -Rf /opt/secretnet/usr/backup/* /opt/secretnet-archive/usr/backup 1>>$UPGRADELOG 2>&1
+}
+
+SN_VERSION=1.7-471
+prepare_sn_upgrade "$SN_VERSION"

+ 41 - 0
Scripts/upgrade-1.4_to_1.7.sh

@@ -0,0 +1,41 @@
+#!/bin/sh
+
+export INSTALLOG=/tmp/sn-install
+export INSTALLPATH=/opt/secretnet/
+export SN_SNAIDE=$INSTALLPATH/bin/snaide
+export CMD_mv=/bin/mv
+export CMD_chmod=/bin/chmod
+
+if [ -z "$1" ]; then
+    echo "The update is not performed. You must specify the installation package SecretNet LSP..." 1>/tmp/sn-update.log 2>&1
+    exit 1
+fi
+
+SN_VERSION="1.4"
+sed s/SecretNet\ LSP\ version.*/Secret\ Net\ LSP\ $SN_VERSION/ -i /opt/secretnet/etc/secretnet-release
+
+SN_RH5_GRUB_PATCH=" selinux=0 vdso=0"
+SN_RH6_GRUB_PATCH=" security=default"
+
+grep -q $SN_RH5_GRUB_PATCH /boot/grub/grub.conf 2>/dev/null
+if [ $? = "0" ] ; then
+    sed -i "s/$SN_RH5_GRUB_PATCH//g" /boot/grub/grub.conf
+fi
+
+grep -q $SN_RH6_GRUB_PATCH /boot/grub/grub.conf 2>/dev/null
+if [ $? = "0" ] ; then
+    sed -i "s/$SN_RH6_GRUB_PATCH//g" /boot/grub/grub.conf
+fi
+
+if [ -e /etc/inittab.bak ] ; then
+    /bin/cp -f /etc/inittab.bak /opt/secretnet/var/install/save-config/etc/inittab
+fi
+
+if [ -e /etc/init/prefdm.conf ] ; then
+    chattr -i /etc/init/prefdm.conf 2>/dev/null
+    mv /etc/init/prefdm.conf.bak /etc/init/prefdm.conf 2>/dev/null
+fi
+
+rpm -Uvh $1
+
+echo "$(uname -r)" > $INSTALLPATH/etc/kernel-name

+ 10 - 0
Scripts/upgrade-1.5_to_1.7_debian8.sh

@@ -0,0 +1,10 @@
+#!/bin/sh
+
+if [ -z "$1" ]; then
+    echo "The update is not performed. You must specify the installation package SecretNet LSP..." 1>/tmp/sn-update.log 2>&1
+    exit 1
+fi
+
+PATH=/usr/bin:/usr/sbin:/bin:/sbin
+
+dpkg -i $1

BIN
i686/sn-lsp-1.7.522-i686.deb


BIN
i686/sn-lsp-1.7.522-i686.rpm


BIN
x86_64/sn-lsp-1.7.522-amd64.deb


BIN
x86_64/sn-lsp-1.7.522-x86_64.oracle7.rpm


BIN
x86_64/sn-lsp-1.7.522-x86_64.rpm